# $Revision: 1.14 $, $Date: 2011/07/24 20:22:42 $
Summary:	Subtitle formats converter
Name:		subconv
Version:	0.4
Release:	5
License:	GPL
Group:		Applications/System
Source0:	%{name}.py
URL:		http://cvs.pld-linux.org/cgi-bin/cvsweb.cgi/packages/subconv/
BuildRequires:	rpm-pythonprov
Requires:	mediainfo
Requires:	python-modules >= 1:2.4
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Subtitle formats converter.

%prep

%install
rm -rf $RPM_BUILD_ROOT

install -D %{SOURCE0} $RPM_BUILD_ROOT%{_bindir}/subconv

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/subconv

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: subconv.spec,v $
Revision 1.14  2011/07/24 20:22:42  arekm
- rel 5; display subtitles longer in mdvd format when end time not specified

Revision 1.13  2010/06/11 20:14:40  arekm
- rel 4; properly pass file path into xyz_fps()

Revision 1.12  2010/06/11 20:10:58  arekm
- rel 3; get dirname from whole path

Revision 1.11  2010/05/13 18:21:56  sparky
- BR: rpm-pythonprov

Revision 1.10  2010/02/22 12:40:43  arekm
- rel 2; fix very nasty typo preventing mediainfo fps detection from working

Revision 1.9  2010/02/21 21:00:43  arekm
- ver 4; working fps detection for mdvd format

Revision 1.8  2010/02/21 15:19:16  arekm
- python >= 2.4 needed

Revision 1.7  2010/02/21 10:12:37  arekm
- rel 4; fps bugfix

Revision 1.6  2010/02/21 10:02:17  arekm
- rel 3; mediainfo based fps detection

Revision 1.5  2010/02/20 22:41:17  arekm
- subconv only in cvs now

Revision 1.4  2010/02/20 22:39:50  arekm
- version 0.3

Revision 1.3  2010/02/20 20:59:47  arekm
- start maintaining subconv in pld repo

Revision 1.2  2009/01/17 20:39:04  arekm
- rel 2; add pld enhacements

Revision 1.1  2008/05/10 09:04:52  arekm
- initial

